@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Roboto+Mono:ital,wght@0,100..700;1,100..700&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}


::-webkit-scrollbar {
width: 8px; 
}

::-webkit-scrollbar-thumb {
background-color: #b9bbbd;
border-radius: 6px; 
}

::-webkit-scrollbar-track {
background-color: #f1f1f1; 
}

::-webkit-scrollbar-corner {
background-color: #f1f1f1; 
}
  
body{
    background-image: url(./assets/backgroun.jpg);
    background-size: cover;
    display: flex;
    justify-content: center;
    font-family: "Roboto", sans-serif;
    background-attachment: fixed;
}

.container{
    width: 100%;
    display: flex;
    align-items: center;
    flex-direction: column;
}

.logo-container{
    margin-top: -20px;
    width: 300px;
    height: 300px;
    margin-bottom: 20px;
}

.text{
    margin-top: -40px;
    font-size: 41px;
    margin-bottom: 50px;
}

.product-container{
    width: 80%;
    display: grid;
    grid-template-columns: repeat(4, 28%);
}

.product{
    width: 200px;
    height: 200px;
    background-color: #FFF;
    border: 3px solid black;
    border-radius: 25px;
    padding: 10px;
    box-sizing: border-box;
    margin-bottom: 70px;
    display: flex;
    align-items: center;
    flex-direction: column;
}

.product:hover{
    transform: scale(1.4);
    transition: .5s;
}

.img-product{
    width: 80px;
    height: 80px;
    margin-top: 10px;
}

.color-product{
    width: 20px;
    height: 20px;
    border: 1px solid rgb(223, 67, 218);
    border-radius: 50%;
    box-sizing: border-box;
    margin-left: 10px;
}

.number-colors{
    margin-left: -110px;
    font-size: 13px;
}

.divaider-color-product{
    display: flex;
    align-items: center;
    justify-content: center;
    margin-left: -10px;
}

.pirce{
    margin-right: -80px;
}

.hidden{
    opacity: 0;
    filter: blur(6px);
    transform: translateX(-100%);
    transition: all 1s;
}

.show{
    opacity: 1;
    filter: blur(0);
    transform: translateX(0);
    transition: all 1s;
}

.merchan{
    width: 80%;
    font-size: 24px;
    margin-bottom: 30px;
}

.footer{
    width: 100%;
    height: auto;
    background-color:#FFCEEB;
    margin-top: 30px;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 25px;
}

@media(max-width: 950px){
    .product-container{
        width: 80%;
        display: grid;
        grid-template-columns: repeat(3, 38%);
    }

}

@media(max-width: 696px){
    .product-container{
        width: 80%;
        display: grid;
        grid-template-columns: repeat(2, 58%);
    }

}

@media(max-width: 471px){
    .product-container{
        width: 50%;
        display: grid;
        grid-template-columns: repeat(1, 100%);
    }

}